Arduino

Reference Language | Libraries | Comparison | Changes

SD

## begin()

#### Description

Initializes the SD library and card. This begins use of the SPI bus (digital pins 11, 12, and 13 on most Arduino boards; 50, 51, and 52 on the Mega) and the chip select pin, which defaults to the hardware SS pin (pin 10 on most Arduino boards, 53 on the Mega). Note that even if you use a different chip select pin, the hardware SS pin must be kept as an output or the SD library functions will not work.

#### Syntax

SD.begin()
SD.begin(cspin)

#### Parameters

cspin (optional): the pin connected to the chip select line of the SD card; defaults to the hardware SS line of the SPI bus

#### Returns

true on success; false on failure

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes